-- REGISTER_VARIABLES
-- This performs the variable registration and initialisation
function BubbleLoot:RegisterVariables()
	self.data={}
-- VARIABLES
-- bDoingLoot is a flag indicating current in the middle of the bidding process
-- bInraid is a flag that is set by the master looter indicating whether part of a raid or not
-- timerBid is the timer object using to schedule the timer delay
-- guildLib is the handle to the guildlib library instance used for DKP checks
-- iCurrentSlot is the current index into the LOOT window
	self.data.bInRaid=false
	self.data.bDoingLoot=false
	self.data.iCurrentSlot=nil
	self.data.timerBid=nil
	self.data.guildLib=nil
	self.data.bAmML=false
	self.data.strItem=nil
-- TABLES
-- tableBids is keyed by index with tuple(username, int bid, int roll)
-- tableTally is keyed by username with tuple (int total_items, (int total_each_bid_type)+)
-- MapBid2Ndx is a map of the bid types to indexes
-- MapNdx2Bid is a reverse map of the indexes to bid types
	self.data.tableGroup={}
	self.data.tableBids={}
	self.data.tableTally={}
	self.data.mapBid2Ndx={pvp=1, off=2, bid=3}
	self.data.mapNdx2Bid={"pvp", "off", "bid"}
	self.data.mapFilter={
		"Emblem of Valor",
		"Abyss Crystal",
		"Runed Dragon's Eye",
		"Emblem of Heroism"
	}
	self.data.tableAzQuotes={
		"Save some for the rest of us",
		"All our loot belong to you",
		"Where is the I in TEAM?",
			"Big upgrade I take it?",
		"I can see you Heroic often!",
		"Is your mum as dirty as your bidding?",
		"WTB Sharing?",
		"Do you spell GREED as YOU?",
		"Test it my Ass",
		"The GBank needs love too!",
		"Take all the LOOT you want You still FAIL",
		"Gearing to switch Mains huh?",
		"You know you are gonna Vendor it later",
		"I bet it aint even an upgrade",
		"I didn't want him to get that item either",
		"There aint prizes for the amount of /rolls you type"
	}
end
